import axios from 'axios'

export function useUser() {
  const user = ref(null)
  const userName = computed(() => {
    return user.value?.realname || user.value?.nickname || user.value?.username || ''
  })
  async function fetch() {
    const res = await axios.get('https://project-api.ezijing.com/api/passport/account/get-user-info', { withCredentials: true })
    user.value = res.data.data
  }
  onMounted(() => {
    fetch()
  })
  return { user, userName, fetch }
}
